<template>
  <aside class="col-xs-12 col-3">
    <div class="sidebar p-3 mb-5">
      <h5 class="text-center">{{ navTitle }}</h5>

      <ul class="nav flex-column mb4">
        <li class="nav-item">
          <a class="nav-link" href="#">
            {{ picturesTitle }}
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link" href="#">
            {{ audioTitle }}
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link" href="#">
            {{ aboutMeTitle }}
          </a>
        </li>
      </ul>
    </div>
  </aside>
</template>

<script>
export default {
  name: 'NavBar',
  data() {
    return {
      navTitle: 'Nav',
      picturesTitle: 'Photographies',
      audioTitle: 'Compositions musicales',
      aboutMeTitle: 'A propos',
    }
  },
};
</script>

<style lang="scss">
@import "../../scss/components/light-component";

// Navbar style
.sidebar {
  @include light-component;

  ul {
    li a:hover {
      background: $blue-component-link-hover;
    }
  }
}
</style>
